# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential
import sha.config


class PluginLogger:

    def __init__(self, plugin_name, plugin_id):
        self.logger_name = "[name:{}][id:{}] ".format(plugin_name, plugin_id)
        self._logger = sha.config.get_logger(self.logger_name)

    def get_logger(self):
        return self

    def debug(self, msg, *args, **kwargs):
        self._logger.debug(self.logger_name + msg, *args, **kwargs)

    def info(self, msg, *args, **kwargs):
        self._logger.info(self.logger_name + msg, *args, **kwargs)

    def warn(self, msg, *args, **kwargs):
        self._logger.warning(self.logger_name + msg, *args, **kwargs)

    def warning(self, msg, *args, **kwargs):
        self._logger.warning(self.logger_name + msg, *args, **kwargs)

    def error(self, msg, *args, **kwargs):
        self._logger.error(self.logger_name + msg, *args, **kwargs)
